<?php
/**
 * @access private
 * @return type
 */
function chargeXMLseminaire()
{
       $document = simplexml_load_file('data/seminaire.xml');
       return $document;
}
/**
 * @access private
 * @param type $doc
 */
function sauveXMLseminaire($doc){
    file_put_contents('data/seminaire.xml',$doc);
}

/**
 * @access private
 * @return type
 */
function chargeXMLprofessions()
{
       $document = simplexml_load_file('data/professions.xml');
       return $document;
}
/**
 * Retourne l'intitulé du séminaire
 * @return chaîne
 */
function donnerIntituleSeminaire()
{
     $document = chargeXMLseminaire();
     return $document['intitule'];

}
function selectionDejaEnregistree()
{
    return isset($_SESSION['choixEffectue']);
    
}
/**
 * Vérifie si le visiteur a déjà rempli son formulaire d'inscription
 * @return boolean
 */
function estInscrit(){
    return isset($_SESSION['nom']);
}
/**
 * Retourne la liste de tous les créneaux horaires, heures de début des conférences
 * le tableau retourné commence à l'indide 0
 * @return  tableau 
 * 
 */
function donnerLesHeuresCreneaux(){
      $document = chargeXMLseminaire();
      $lesCreneaux = array();
      foreach($document->creneau as $creneau){
          $lesCreneaux[] = $creneau['heure'];
      }
      return $lesCreneaux;
}
/**
 * Retourne toutes les informations d'une conférence dont on fournit le numéro
 * @param entier $numero
 * @return tableau
 */
function donnerLaConference($numero){
     $document = chargeXMLseminaire();
     foreach($document->creneau as $creneau){
         foreach($creneau->conference as $conference){
           if($conference['id']==$numero){
              $laConference = $conference;
              break;
            }
         }
     }
    $tabConference=array();
     $tabConference['id']=$laConference['id'];
       $tabConference['description'] = $laConference->description;
      $tabConference['intervenant'] = $laConference->intervenant;
        $tabConference['salle'] = $laConference->salle;
         $tabConference['nbPlaces'] = $laConference->nbPlaces;
    
     return  $tabConference; 
}
/**
 * Retourne le nombre des créneaux horaires
 * @return entier
 */
function donnerNbCreneaux()
{
      $document = chargeXMLseminaire();
      return $document->creneau->count();
}
/**
 * Retourne le nombre de conférences ayant lieu à un créneau horaire donné
 * @param chaîne $heure (10 h par exemple)
 * @return entier
 */
function donnerNbConferences($heure){
    $document = chargeXMLseminaire();
    
    foreach($document->creneau as $creneau){
        
           if($creneau['heure']==$heure){
              $nbConferences = $creneau->conference->count();
              break;
            }
         }
     return $nbConferences;    
}
/**
 * Retourne toutes les conférences commençant à l'heure donnée sous forme d'un tableau
 * @param chaîne $heure
 * @return  tableau 
 */
function donnerLesConferences($heure){
    $document = chargeXMLseminaire();
    $lesConferences= array();
    foreach($document->creneau as $creneau){
        if($creneau['heure']=="$heure")
    
         foreach($creneau->conference as $laConference){
                $lesConferences[]=array('id'=>$laConference['id'],
                                'description'=>$laConference->description,
                                'intervenant'=>$laConference->intervenant,
                                'salle'=>$laConference->salle,
                                'nbPlaces'=>$laConference->nbPlaces);
                                    
     }
    }
   return  $lesConferences; 
}
/**
 * Ajoute un nouveau participant
 * @access private
 * @param type $nom
 * @param type $prenom
 * @param type $profession
 * @param type $ville
 * @param type $mail
 */
function ajouterNouveauParticipant($laConference,$nom, $prenom, $profession,$ville, $mail){
     
 
    $nom=str_replace("'", "''", $nom);
    $prenom=str_replace("'", "''", $prenom);
    $mail=str_replace("'", "''", $mail);
     $ville=str_replace("'", "''", $ville);
     $participant = $laConference->participants->addChild('participant');
     $participant->addChild('nom',$nom);
     $participant->addChild('prenom',$prenom);
     $participant->addChild('profession',$profession);
     $participant->addChild('ville',$ville);
     $participant->addChild('mail',$mail);
     
}
/**
 * Enregistre un participant et ses choix de conférence
 * @param tableau $lesChoix : les choix fait du participant
 */
function  enregistre($lesChoix){

    $lesCrenaux = donnerLesHeuresCreneaux();
    $lesConferences = array();
    for($i=0;$i<count($lesCrenaux);$i++){
        if(isset($lesChoix["$lesCrenaux[$i]"]))
        $lesConferences[] = $lesChoix["$lesCrenaux[$i]"];
     }
     $nom = $_SESSION['nom'];
     $prenom = $_SESSION['prenom'];
      $mail = $_SESSION['mail'];
      $ville = $_SESSION['ville'];
      $profession = $_SESSION['profession'];
     
    //  echo "les conferences " ;var_dump($lesConferences);
      $document = chargeXMLseminaire();
    foreach($document->creneau as $creneau){
        foreach($creneau->conference as $laConference){
            for ($i = 0 ;$i< count($lesConferences);$i++){
               if( $laConference['id']==$lesConferences[$i])
                   ajouterNouveauParticipant ($laConference, $nom, $prenom, $profession, $ville, $mail);
               
             
        }
    }
    }
    $doc = $document->asXML();
     sauveXMLseminaire($doc);    
     session_destroy();
     $_SESSION['choixEffectue']=1;
     
    
      

}
/**
 * Retourne toutes les professions possibles
 * le tableau retourné commence à l'indice 0
 * @return  tableau 
 */
function donnerLesProfessions(){
     $document = chargeXMLprofessions();
     $lesProfessions = array();
     var_dump($document->count());
     foreach($document->profession as $profession){
           $lesProfessions[] = $profession;
     }
     
    return $lesProfessions;
    
}
/**
 * Enregistre les informations d'un visiteur
 * @param chaîne $nom
 * @param chaîne $prenom
 * @param chaîne $mail
 * @param chaîne $ville
 * @param chaîne $profession
 */
function sauverDonneesInscription($nom, $prenom,$mail,$ville, $profession){
    
    $_SESSION['nom']=$nom;
    $_SESSION['prenom']=$prenom;
     $_SESSION['mail']=$mail;
    $_SESSION['ville']=$ville;
    $_SESSION['profession']=$profession;
    
}



/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
?>
